Quassel IRC - Bug #915

Spell checking occasionally stops working
02/16/2010 03:48 PM - pickscrape

Status: Resolved Start date: 02/16/2010
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.6.0

Version: 0.5.0 0S: Any
Description

I've noticed that from time to time spell checking will just stop working. To fix it I'll go into settings, uncheck the option, apply, recheck
and hit OK. Then it's working again.

There doesn't seem to be any particular event that causes it, and it's difficult to tell anyway since you don't generally notice it gone
immediately. It's only when the red wiggly line doesn't appear on a word you know you've spelt incorrectly that you know it's no
longer operating.

History

#1 - 02/18/2010 04:53 PM - ruediger
- File 0001-Reset-EnableSpellCheck-on-switch-in-case-it-was-auto.patch added

Affects me too. It usually happens when | type in another language and thus there are a lot of errors. KTextEdit has an automatic mode which
deactivates the Highlighter when too many errors were found.

http://api.kde.org/4.x-api/kdelibs-apidocs/kdeui/html/highlighter 8cpp_source.htmi#100223

| think the best solution is to simply reset it when the Channel is switched (?or the input is send?). | wrote a small patch to do that.

#2 - 02/18/2010 07:18 PM - ruediger
Update: My patch is not working correctly!

| created a new patch in this merge request: http:/gitorious.org/quassel/quassel/merge_requests/45

#3 - 02/25/2010 11:03 PM - al

- Category set to Quassel Client

- Status changed from New to Resolved
- Target version set to 0.6.0

- % Done changed from 0 to 100

Applied in 25e93f53be9b25{376¢4{782{5e77d8e59b6¢f10

Files

0001-Reset-EnableSpellCheck-on-switch-in-case-it-was-auto.patch ~ 1.14 KB 02/18/2010 ruediger
